Glib::Value< unsigned long > Class Template Reference
Generic Values

`#include <glibmm/value_basictypes.h>`

Inheritance diagram for Glib::Value< unsigned long >:
[legend]

## Public Types

using | CppType = unsigned long
using | CType = gulong

## Public Member Functions

void | set (unsigned long data)
unsigned long | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const

## Static Public Member Functions

static GType | value_type ()

## Additional Inherited Members

Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Typedef Documentation

using Glib::Value< unsigned long >::CppType = unsigned long

using Glib::Value< unsigned long >::CType = gulong

## Member Function Documentation

unsigned long Glib::Value< unsigned long >::get | ( |  | ) | const

void Glib::Value< unsigned long >::set | ( | unsigned long | data | ) |

static GType Glib::Value< unsigned long >::value_type | ( |  | ) |

static